### Enumeration

# Gimp ImageType

#### Declaration

    enum Gimp.ImageType

#### Description [src]

Possible drawable types.

#### Members

`GIMP_RGB_IMAGE`

  RGB.

  - Value: `0`
  - Available since: 3.0
`GIMP_RGBA_IMAGE`

  RGB-alpha.

  - Value: `1`
  - Available since: 3.0
`GIMP_GRAY_IMAGE`

  Grayscale.

  - Value: `2`
  - Available since: 3.0
`GIMP_GRAYA_IMAGE`

  Grayscale-alpha.

  - Value: `3`
  - Available since: 3.0
`GIMP_INDEXED_IMAGE`

  Indexed.

  - Value: `4`
  - Available since: 3.0
`GIMP_INDEXEDA_IMAGE`

  Indexed-alpha.

  - Value: `5`
  - Available since: 3.0